curl --request POST \
--url https://api.brandfetch.io/v2/brands/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionLabel": "STARBUCKS 1523 OMAHA NE",
"countryCode": "US"
}
'import requests
url = "https://api.brandfetch.io/v2/brands/transaction"
payload = {
"transactionLabel": "STARBUCKS 1523 OMAHA NE",
"countryCode": "US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transactionLabel: 'STARBUCKS 1523 OMAHA NE', countryCode: 'US'})
};
fetch('https://api.brandfetch.io/v2/brands/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"claimed": true,
"description": "<string>",
"longDescription": "<string>",
"links": [
{
"name": "twitter",
"url": "<string>"
}
],
"logos": [
{
"theme": "dark",
"formats": [
{
"src": "<string>",
"format": "svg",
"height": 123,
"width": 123,
"size": 123,
"background": "transparent"
}
],
"tags": [
{}
],
"type": "icon"
}
],
"colors": [
{
"hex": "<string>",
"type": "accent",
"brightness": 123
}
],
"fonts": [
{
"name": "<string>",
"type": "title",
"origin": "google",
"originId": "<string>",
"weights": [
{}
]
}
],
"images": [
{
"formats": [
{
"src": "<string>",
"format": "svg",
"height": 123,
"width": 123,
"size": 123,
"background": "transparent"
}
],
"tags": [
{}
],
"type": "banner",
"pictureMetadata": {
"score": 123,
"rank": 123,
"naturalWidth": 123,
"naturalHeight": 123,
"alt": "<string>",
"sourceUrl": "<string>",
"imageCategory": "<string>",
"categoryConfidence": 123
}
}
],
"qualityScore": 123,
"company": {
"employees": 1,
"financialIdentifiers": {
"isin": [
"<string>"
],
"ticker": [
"<string>"
]
},
"foundedYear": 123,
"industries": [
{
"id": "<string>",
"score": 123,
"slug": "<string>",
"name": "<string>",
"emoji": "<string>",
"parent": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"emoji": "<string>"
}
]
}
],
"kind": "EDUCATIONAL",
"location": {
"city": "<string>",
"country": "<string>",
"countryCode": "<string>",
"region": "<string>",
"state": "<string>",
"subregion": "<string>"
}
},
"isNsfw": true,
"urn": "<string>"
}{
"message": "Failed to enrich transaction"
}{
"message": "Unauthorized"
}{
"message": "Not Found"
}{
"message": "API key quota exceeded"
}{
"message": "Transaction enrichment is temporarily unavailable. Please retry."
}Transaction API
Turn payment transactions into merchant data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
Successful request.
Unique identifier for the brand
Brand name
Brand website URL
Set to true if the owner of the brand claimed its brand profile on Brandfetch
Brand description
Brand long description
Social media links of the brand
Show child attributes
Show child attributes
Logos, symbols & icons of the brand
Show child attributes
Show child attributes
Accent, dark, light & palette colors of the brand
Show child attributes
Show child attributes
Title & body fonts of the brand
Show child attributes
Show child attributes
Banner, picture & other images of the brand
Show child attributes
Show child attributes
Score between 0-1 which indicates the quality of the data for the given brand. Useful when you don't want to show lower quality brands to your users.
Lower 3rd is poor quality, middle 3rd is OK quality, upper 3rd is high quality. Lower scores indicate that a brand is less likely to be "real". For example, where google.com will score high, my-random-blog.com will score between 0.3-0.4. The score factors in things like data-recency, whether the brand has been claimed, if it has been manually verified by our team, the brand's domain ranking on the web, as well as other factors.
Don't rely on a fixed score for any given brand. The way we calculate this score may change over time as we add new factors, or tweak the weights of existing ones such that a score for a given brand may change. However, they will remain aligned such that scores divide quality into thirds: low, medium, high.
The company object returns firmographic data related to the brand
Show child attributes
Show child attributes
true when the brand is for adult content, e.g. is not safe for work
Uniform Resource Name for the brand
Was this page helpful?